net.sf.jasperreports.engine.util

## Class SwapFileVirtualizerStore

- java.lang.Object
- - net.sf.jasperreports.engine.util.SwapFileVirtualizerStore

- All Implemented Interfaces:
    VirtualizerStore

      public class SwapFileVirtualizerStore
      extends java.lang.Object
      implements VirtualizerStore

  Version:
    $Id: SwapFileVirtualizerStore.java 6588 2013-10-14 14:00:30Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwapFileVirtualizerStore(JRSwapFile swap, boolean swapOwner)`
    `SwapFileVirtualizerStore(JRSwapFile swap, boolean swapOwner, StreamCompression compression)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()` Disposes the swap file used if this virtualizer owns it.
    `protected boolean` | `isStored(JRVirtualizable<?> o)`
    `void` | `remove(java.lang.String objectId)`
    `void` | `retrieve(JRVirtualizable<?> o, boolean remove, VirtualizationSerializer serializer)`
    `boolean` | `store(JRVirtualizable<?> o, VirtualizationSerializer serializer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SwapFileVirtualizerStore

          public SwapFileVirtualizerStore(JRSwapFile swap,
                                  boolean swapOwner)

    - #### SwapFileVirtualizerStore

          public SwapFileVirtualizerStore(JRSwapFile swap,
                                  boolean swapOwner,
                                  StreamCompression compression)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### isStored

          protected boolean isStored(JRVirtualizable<?> o)

    - #### store

          public boolean store(JRVirtualizable<?> o,
                      VirtualizationSerializer serializer)

      Specified by:
        `store` in interface `VirtualizerStore`

    - #### retrieve

          public void retrieve(JRVirtualizable<?> o,
                      boolean remove,
                      VirtualizationSerializer serializer)

      Specified by:
        `retrieve` in interface `VirtualizerStore`

    - #### remove

          public void remove(java.lang.String objectId)

      Specified by:
        `remove` in interface `VirtualizerStore`

    - #### dispose

          public void dispose()

      Disposes the swap file used if this virtualizer owns it.
      Specified by:
        `dispose` in interface `VirtualizerStore`
      See Also:
        `SwapFileVirtualizerStore(JRSwapFile, boolean)`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com